Get order history for broker users
curl --request GET \
--url https://perps-api.vooi.io/broker/orders \
--header 'X-Broker-Key: <x-broker-key>'import requests
url = "https://perps-api.vooi.io/broker/orders"
headers = {"X-Broker-Key": "<x-broker-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Broker-Key': '<x-broker-key>'}};
fetch('https://perps-api.vooi.io/broker/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cursor": "<string>",
"items": [
{
"baseSymbol": "ETH",
"brokerCode": "<string>",
"clientOrderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"exchange": "aster",
"orderId": "<string>",
"positionSide": "both",
"price": "1850.50",
"quoteSymbol": "USDC",
"reduceOnly": true,
"side": "buy",
"size": "0.001",
"status": "canceled",
"timeInForce": "gtc",
"triggerPrice": "1800.00",
"type": "limit",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
]
}Broker
Get order history for broker users
GET
/
broker
/
orders
Get order history for broker users
Headers
Broker API key
Query Parameters
Opaque pagination cursor returned as cursor from the previous page
Filter by exchange
Available options:
aster, binance, bybit, extended, gate, hyperliquid, lighter, mexc, ondo, robinhood Start of time range (Unix milliseconds, inclusive)
Required range:
x <= 9007199254740991Number of items to return per page (1-1000)
Required range:
1 <= x <= 1000End of time range (Unix milliseconds, exclusive)
Required range:
x <= 9007199254740991Filter by user id
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$